Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.syndication.feed.synd.impl
Class Converters

    java.lang.Object
      com.sun.syndication.io.impl.PluginManager
          com.sun.syndication.feed.synd.impl.Converters

    public class Converters

extends PluginManager

Created by IntelliJ IDEA. User: tucu Date: May 21, 2004 Time: 5:26:04 PM To change this template use Options | File Templates.

Field Summary
`static String` | `CONVERTERS_KEY` Converter.classes= [className] ...

Constructor Summary
`Converters()`

Method Summary
`Converter` | `getConverter(String feedType)`
`protected String` | `getKey(Object obj)`
`List` | `getSupportedFeedTypes()`

Methods inherited from class com.sun.syndication.io.impl.PluginManager
`getKeys, getPlugin, getPluginMap, getPlugins`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CONVERTERS_KEY

    public static final String CONVERTERS_KEY

  Converter.classes= [className] ...

  See Also:
    Constant Field Values

Constructor Detail

### Converters

    public Converters()

Method Detail

### getConverter

    public Converter getConverter(String feedType)

### getKey

    protected String getKey(Object obj)

  Specified by:
    `getKey` in class `PluginManager`

### getSupportedFeedTypes

    public List getSupportedFeedTypes()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2013 ROME Project. All Rights Reserved.